* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-weight: 500;

}

/* ================== HEADER ================== */

body header {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100px;

    background-color: #001325;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 0 40px;
    z-index: 1000;
}

body header a {
    display: flex;
    align-items: center;
}

#img-logo-header {
    height: 95px;
}

/* ================== MENU DESKTOP ================== */

body header nav ul.menu {
    display: flex;
    align-items: center;
    gap: 40px;
    list-style: none;
}

body header nav ul.menu > li > a {
    color: white;
    font-size: 15px;
    text-decoration: none;
    padding: 10px 0;

    position: relative;
    transition: 0.3s ease;
}

body header nav ul.menu > li > a::after {
    content: "";
    width: 0%;
    height: 2px;
    background: #01324a;
    position: absolute;
    bottom: 5px;
    left: 0;

    transition: 0.3s ease;
}

body header nav ul.menu > li > a:hover::after {
    width: 100%;
}


/* ================== SUBMENUS ================== */

.dropdown {
    position: relative;
}

.submenu {
    position: absolute;
    top: 40px;
    left: 0;

    background: #00213d;
    padding: 10px 0;
    border-radius: 8px;
    list-style: none;
    width: 210px;

    display: flex;
    flex-direction: column;

    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: 0.25s ease;

    box-shadow: 0 6px 20px rgba(0,0,0,0.35);
    z-index: 999;
}

.dropdown:hover > .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.submenu li a {
    color: white;
    padding: 12px 20px;
    text-decoration: none;
    font-size: 14px;

    display: block;
    width: 100%;

    transition: 0.25s;
}

.submenu li a:hover {
    background: #001b2f;
    padding-left: 28px;
}

/* ================== SUBMENU DE SEGUNDO NÍVEL ================== */

.submenu .dropdown {
    position: relative;
}

.submenu .dropdown .submenu {
    top: 0;
    left: 210px;
    border-radius: 8px;
}

.submenu .dropdown > a::after {
    content: "›";
    float: right;
    opacity: 0.6;
}

/* ======================= SUBMENUS PARA A ESQUERDA ======================= */

.submenu.left,
.submenu .dropdown .submenu.left {
    left: auto;
    right: 0px;
}

/* ======================= MENU  MOBILE ======================= */

.menu-icon {
    display: none;
    font-size: 32px;
    color: white;
    cursor: pointer;

    margin-left: auto; 
}

/* MOBILE */

@media (max-width: 900px) {

    .menu-icon {
        display: block;
    }

    body header nav ul.menu {
        position: fixed;
        top: 100px;
        right: 0;

        width: 250px;
        max-width: 80vw;
        background: #001b2f;
        flex-direction: column;

        padding: 20px 0;
        gap: 10px;

        opacity: 0;
        visibility: hidden;
        transform: translateY(-10px);
        transition: 0.3s ease;

        border-bottom-left-radius: 12px;

        max-height: calc(100vh - 100px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    body header nav ul.menu.open {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

    .submenu,
    .submenu .dropdown .submenu {
        position: static;
        width: 100%;
        opacity: 1;
        visibility: visible;
        transform: none;
        box-shadow: none;
        background: #002744;
        display: none;
    }

    .dropdown.open > .submenu {
        display: block;
    }

    .submenu .dropdown > a::after {
        content: "";
    }
}

/* ===== LANGUAGE DROPDOWN ===== */
.lang-dropdown {
    position: relative;
    margin-left: 20px;
}

.lang-btn {
    background: none;
    border-radius: 4px;
    border-color: white;
    border-style: groove;
    cursor: pointer;
    padding: 6px;
    color: white;
}


.lang-menu {
    position: absolute;
    top: 44px;
    right: 0;

    background: #00213d;
    border-radius: 10px;
    list-style: none;
    padding: 6px 0;
    min-width: 160px;

    box-shadow: 0 8px 24px rgba(0,0,0,0.4);
    z-index: 9999;

    opacity: 0;
    visibility: hidden;
    transform: translateY(-6px);
    transition: opacity 0.25s ease, transform 0.25s ease, visibility 0.25s;
}

.lang-dropdown:hover .lang-menu,
.lang-menu:hover {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.lang-menu li {
    padding: 10px 14px;
    color: white;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    font-size: 14px;
}

.lang-menu li:hover {
    background: #001b2f;
}

